textures/asylum/controlpanel2
{
	qer_editorimage textures/asylum/controlpanel2.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/asylum/controlpanel2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/asylum/controlpanel2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/asylum/pk01_panel_small01
{
	qer_editorimage textures/asylum/pk01_panel_small01.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/asylum/pk01_panel_small01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/asylum/pk01_panel_small01.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/asylum/beamflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/asylum/beamflare.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/asylum/flare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/asylum/flare.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/asylum/lazerbeam
{
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
    cull none

          {
            clampmap textures/asylum/lazerbeam.jpg
            blendFunc GL_ONE GL_ONE
		animMap 10 textures/asylum/lazerbeam7.tga textures/asylum/lazerbeam6.tga textures/asylum/lazerbeam5.tga textures/asylum/lazerbeam4.tga textures/asylum/lazerbeam3.tga textures/asylum/lazerbeam2.tga textures/asylum/lazerbeam1.tga textures/asylum/lazerbeam.tga 
         }
}


textures/asylum/e8_base1c_PULSE
 {
 	qer_editorimage textures/asylum/e8_base1c.tga
 	tessSize 128
 	deformVertexes wave 100 sin 1 0.5 0 0.6
	surfaceparm nonsolid
 	{
 		map textures/asylum/e8_base1c.tga
 		rgbGen identity
	}
 	{
 		map $lightmap 
 		blendfunc filter
 		rgbGen identity
 		tcGen lightmap 
 	}
}


textures/asylum/reservoir_water_s
{
	qer_editorimage textures/asylum/256_gate_water02.tga
	qer_trans .5
	q3map_lightimage textures/asylum/256_gate_water02.tga
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_fancywater

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/asylum/256_gate_water02.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/asylum/256_gate_water02.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/asylum/e6bsegrtflr256_s
{
	qer_editorimage textures/asylum/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm playerclip
	cull none

	{
		map textures/asylum/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/asylum/e8_base1c_nonsolid
{
	qer_editorimage textures/asylum/e8_base1c.jpg
	surfaceparm nonsolid
	{
		map textures/asylum/e8_base1c.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}


textures/asylum/skybox
{
	qer_editorimage	env/asylum/grimmnight_rt.tga

	q3map_sunExt 158 217 255 100 0 45
	q3map_skyLight 100 4
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms env/asylum/grimmnight 256 -
	{
		map textures/asylum/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}



textures/asylum/bulb_y_lit
{
	qer_editorimage textures/asylum/bulb_y.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 6000
	{
		map textures/asylum/bulb_y.tga
		
	}
}


textures/asylum/bulb_white_lit
{
	qer_editorimage textures/asylum/bulb_white.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/asylum/bulb_white.tga
		
	}
}

textures/asylum/control
{
	qer_editorimage textures/asylum/control.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/asylum/control.tga
	}
}

textures/asylum/bulb_white_s
{
	qer_editorimage textures/asylum/bulb_white.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/asylum/bulb_white.tga
	}
}


textures/asylum/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 45
        qer_editorimage textures/asylum/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/asylum/ter_rock2.tga
		blendFunc filter
	}
}


textures/asylum/window_trans
{
	qer_editorimage textures/desolate/window
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/asylum/window
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}







textures/asylum/babel-windows
{
	qer_editorimage textures/asylum/babel-windows.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/asylum/babel-windows.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/asylum/babel-windows.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/asylum/e6horzlight
{
	qer_editorimage textures/asylum/e6horzlight.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/asylum/e6horzlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		//blendFunc blend
		rgbGen identity
	}
	{
		map textures/asylum/e6horzlight_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/asylum/vine06
{
	qer_editorimage textures/asylum/vine06.tga
	q3map_backShader textures/asylum/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/asylum/vine07		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/asylum/vine07.tga
	q3map_backShader textures/asylum/vine07_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/vine07.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/asylum/vine07_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/vine07.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}



textures/asylum/vine06_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/vine06.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/asylum/leave01d		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/asylum/leave01d.tga
	q3map_backShader textures/asylum/leave01d_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/asylum/leave01d_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/leave01d.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}


textures/asylum/theater1
{
	qer_editorimage textures/asylum/theater1.tga
	q3map_backShader textures/asylum/theater1_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/theater1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/asylum/theater1_back 
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/theater1.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/asylum/theater2
{
	qer_editorimage textures/asylum/theater2.tga
	q3map_backShader textures/asylum/theater2_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/theater2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/asylum/theater2_back 
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/theater2.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/asylum/theater3
{
	qer_editorimage textures/asylum/theater3.tga
	q3map_backShader textures/asylum/theater3_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/asylum/theater3.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}


textures/asylum/theater3_back 
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/asylum/theater3.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/asylum/fog
{
		qer_editorimage textures/common/fog.tga
		qer_trans 0.4
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 0.75 0.875 1 ) 4000

}





///
//Screens
///

textures/asylum/screen1
{
	qer_editorimage textures/asylum/screen1.tga
        q3map_surfacelight 400


	{
		map textures/asylum/screen1.tga
	        rgbGen identity
	}
	{
		map textures/asylum/screen_noise.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}

}

textures/asylum/screen2
{
	qer_editorimage textures/asylum/screen2.tga
        q3map_surfacelight 400


	{
		map textures/asylum/screen2.tga
	        rgbGen identity
	}
	{
		map textures/asylum/screen_noise.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}

}

textures/asylum/screen3
{
	qer_editorimage textures/asylum/screen3.tga
        q3map_surfacelight 400


	{
		map textures/asylum/screen3.tga
	        rgbGen identity
	}
	{
		map textures/asylum/screen_noise.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 10
	}

}


////////
//DECALS
////////

textures/asylum/moss1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/moss1.tga
		blendfunc filter
	}
}

textures/asylum/plasterstain
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/plasterstain.tga
		blendfunc filter
	}
}

textures/asylum/pills
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/pills.tga
		blendfunc filter
	}
}


textures/asylum/northwing
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/northwing.tga
		blendfunc filter
	}
}



textures/asylum/southwing
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/southwing.tga
		blendfunc filter
	}
}


textures/asylum/rustdecal_small
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/rustdecal_small.tga
		blendfunc filter
	}
}

textures/asylum/help
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/help.tga
		blendfunc filter
	}
}


textures/asylum/trak_iso1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/trak_iso1.tga
		blendfunc filter
	}
}

textures/asylum/paperdecal
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/paperdecal.tga
	}
}

textures/asylum/wallpainting
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/wallpainting.tga
	blendfunc filter
	}
}


textures/asylum/trak_door
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/trak_door.tga
		blendfunc filter
	}
}

textures/asylum/trak_iso2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/trak_iso2.tga
		blendfunc filter
	}
}

textures/asylum/trak_iso3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/trak_iso3.tga
		blendfunc filter
	}
}

textures/asylum/trak_exit
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/trak_exit.tga
		blendfunc filter
	}
}

textures/asylum/babel-ruststain2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/babel-ruststain2.tga
		blendfunc filter
	}
}

textures/asylum/babel-ruststain3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/babel-ruststain3.tga
		blendfunc filter
	}
}


textures/asylum/babel-ruststain
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/babel-ruststain.tga
		blendfunc filter
	}
}


textures/asylum/ruststain1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/ruststain1.tga
		blendfunc filter
	}
}


textures/asylum/decal_cracks
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/decal_cracks.tga
		blendfunc filter
	}
}


textures/asylum/decal_dirt
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/decal_dirt.tga
		blendfunc filter
	}
}


textures/asylum/decal_dirt2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/decal_dirt2.tga
		blendfunc filter
	}
}

textures/asylum/decal_dirt3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/decal_dirt3.tga
		blendfunc filter
	}
}

textures/asylum/decal_dirt4
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/asylum/decal_dirt4.tga
		blendfunc filter
	}
}


